const callService = require('../../tools/callService');

class ProjectsManager {

  /**
   * 
   * @param {Object} params
   * @param {Object} [params.accessToken] - Personal Access Token
   */
  constructor (params = {}) {
    this._accessToken = params.accessToken || process.env.IC_ACCESS_TOKEN;
  }

  /**
   * @returns {Promise<{project:{ _id: String, name: String }, role: String }[]>} User projects data
   */
  async listProjects () {
    let output = await callService('getCurrentPersonProjects', {
      accessToken: this._accessToken
    })
    return output;
  }

}

module.exports = ProjectsManager;