const request = require('request');

module.exports = (serviceName, serviceParams) => {
  return new Promise((resolve, reject) => {
    request(`https://702926627029266270292662.projects.ideascloud.io/services/${serviceName}/execute`, {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json'
      },
      body: JSON.stringify(serviceParams)
    }, (err, resp) => {
      if (err) {
        reject(err);
        return;
      }
      let body = resp.body;
      try {
        body = JSON.parse(resp.body);
      } catch (err) {}
      if (Math.floor(resp.statusCode/100) != 2) {
        reject({
          statusCode: resp.statusCode,
          statusMessage: resp.statusMessage,
          body: body

        });
        return;
      }
      resolve(body);
    })
  })
}
